Crazy Eddies GUI System: CEGUI::LayerSpecification Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::LayerSpecification Class Reference

Class that encapsulates a single layer of imagery. More...

List of all members.

## Public Member Functions
| LayerSpecification (uint priority)
| Constructor.
void | render (Window &srcWindow, const ColourRect *modcols=0, const Rect *clipper=0, bool clipToDisplay=false) const
| Render this layer.
void | render (Window &srcWindow, const Rect &baseRect, const ColourRect *modcols=0, const Rect *clipper=0, bool clipToDisplay=false) const
| Render this layer.
void | addSectionSpecification (const SectionSpecification &section)
| Add a section specification to the layer.
void | clearSectionSpecifications ()
| Clear all section specifications from this layer,.
uint | getLayerPriority () const
| Return the priority of this layer.
bool | operator< (const LayerSpecification &other) const
void | writeXMLToStream (XMLSerializer &xml_stream) const
| Writes an xml representation of this Layer to out_stream.

## Detailed Description

Class that encapsulates a single layer of imagery.

## Constructor & Destructor Documentation

CEGUI::LayerSpecification::LayerSpecification | ( | uint | priority | ) |

Constructor.

Parameters:

  priority | Specifies the priority of the layer. Layers with higher priorities will be drawn on top of layers with lower priorities.

## Member Function Documentation

void CEGUI::LayerSpecification::addSectionSpecification | ( | const SectionSpecification & | section | ) |

Add a section specification to the layer.

A section specification is a reference to a named ImagerySection within the WidgetLook.

Parameters:

  section | SectionSpecification object descibing the section that should be added to this layer.

Returns:
  Nothing,

void CEGUI::LayerSpecification::clearSectionSpecifications | ( |  | ) |

Clear all section specifications from this layer,.

Returns:
  Nothing.

uint CEGUI::LayerSpecification::getLayerPriority | ( |  | ) | const

Return the priority of this layer.

Returns:
  uint value descibing the priority of this LayerSpecification.

void CEGUI::LayerSpecification::render | ( | Window & | srcWindow,
|  | const Rect & | baseRect,
|  | const ColourRect * | modcols = `0`,
|  | const Rect * | clipper = `0`,
|  | bool | clipToDisplay = `false`
| ) |  | const

Render this layer.

Parameters:

  srcWindow | Window to use when calculating pixel values from BaseDim values.
  baseRect | Rect to use when calculating pixel values from BaseDim values.

Returns:
  Nothing.

void CEGUI::LayerSpecification::render | ( | Window & | srcWindow,
|  | const ColourRect * | modcols = `0`,
|  | const Rect * | clipper = `0`,
|  | bool | clipToDisplay = `false`
| ) |  | const

Render this layer.

Parameters:

  srcWindow | Window to use when calculating pixel values from BaseDim values.

Returns:
  Nothing.

void CEGUI::LayerSpecification::writeXMLToStream | ( | XMLSerializer & | xml_stream | ) | const

Writes an xml representation of this Layer to out_stream.

Parameters:

  xml_stream | Stream where xml data should be output.

Returns:
  Nothing.